> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Invia un messaggio a una sessione di Devin esistente per fornire ulteriori istruzioni o informazioni.

# Inviare un messaggio a una sessione



## OpenAPI

````yaml it/v1-openapi.yaml POST /v1/sessions/{session_id}/message
openapi: 3.1.0
info:
  description: Devin v1 API con API Keys personali e di servizio
  title: Devin API v1
  version: 1.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v1/sessions/{session_id}/message:
    post:
      summary: Inviare un messaggio a una sessione
      description: >-
        Invia un messaggio a una sessione Devin attiva. La sessione deve essere
        in esecuzione per poter ricevere messaggi. Restituisce null in caso di
        successo, oppure un messaggio dettagliato se la sessione è già sospesa.
      operationId: post_message_to_session_v1_sessions__session_id__message_post
      parameters:
        - in: path
          name: session_id
          required: true
          schema:
            title: Session Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PostMessageParams'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/MessageSentResponse'
                  - type: 'null'
                title: >-
                  Response Post Message To Session V1 Sessions  Session Id 
                  Message Post
          description: Risposta corretta
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di validazione
components:
  schemas:
    PostMessageParams:
      properties:
        message:
          title: Message
          type: string
      required:
        - message
      title: PostMessageParams
      type: object
    MessageSentResponse:
      description: >-
        Risposta restituita quando un messaggio viene inviato a una sessione già
        in uno stato specifico.
      properties:
        detail:
          title: Detail
          type: string
      required:
        - detail
      title: MessageSentResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Chiave API personale (apk_user_\*) o chiave API di servizio (apk_\*)
      scheme: bearer
      type: http

````